### Method

# Camel NetworkService starttls

since: 3.12

#### Declaration [src]

    GIOStream*
    camel_network_service_starttls (
      CamelNetworkService* service,
      GIOStream* base_stream,
      GError** error
    )

#### Description [src]

Creates a `GTlsClientConnection` wrapping `base_stream`, which is assumed to communicate with the server identified by `service`‘s `CamelNetworkService:connectable`.

This should typically be called after issuing a STARTTLS command to a server to initiate a Transport Layer Security handshake.

Available since: 3.12

#### Parameters

`base_stream`

  Type: `GIOStream`

  A `GIOStream`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GIOStream`

The new `GTlsClientConnection`, or `NULL` on error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.